import React, {useState} from 'react';
import ReactDOM from 'react-dom';
import Dropdown from 'react-dropdown';

const attributes = [
  { value: '1', label: 'Sepal Length' },
  { value: '2', label: 'Sepal Width' },
  { value: '3', label: 'Petal Length' },
  { value: '4', label: 'Petal Width' },
  { value: '5', label: 'Species' }
];

const App = () => {
  const initialXAttribute = '1';
  const [xAttribute, setXAttribute] = useState(initialXAttribute);
  console.log(xAttribute);
  return (
    <Dropdown
          options={attributes}
          value={xAttribute}
          onChange={({ value }) => setXAttribute(value)}
        />
)}
ReactDOM.render(<App />, document.getElementById('root'));
